Skip to content
vocapable.Docs

Find the customer (or one client's service addresses) in the field-service system

GET
/v1/workspace/handoffs/{handoff_id}/service-matches
curl --request GET \
--url 'https://api.vocapable.com/v1/workspace/handoffs/example/service-matches?installation_id=example' \
--header 'Authorization: Bearer <token>'
handoff_id
required
Handoff Id
string
installation_id
required
Installation Id
string
<= 64 characters
client_id
Any of:
string
<= 200 characters

Successful Response

Media typeapplication/json
Response Match Service Client V1 Workspace Handoffs Handoff Id Service Matches Get
Array<object>
WorkspaceServiceMatch
object
external_id
required
External Id
string
label
required
Label
string
kind
required
Kind
string
Allowed values: client property
parent_id
required
Any of:
string
Example
[
{
"kind": "client"
}
]

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}